# Workspace Members

`GET /workspaces/:workspace/members`

Get all members in the workspace

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** The number of the successive pages (results are split into pages of per_page elements each). */
  page?: number; // Example: 1
  /** Specifies the number of returned elements on the page. The default value is 20. */
  per_page?: number; // Example: 20
  /** Specifies ordering for workspace members. Can be one of `id` or `name`. */
  sort_by?: string; // Example: "name"
  /** Specifies the direction of the ordering. Can be one of `ASC` or `DESC` */
  sort_direction?: string; // Example: "ASC"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  members?: WorkspaceMemberView[];
}
```

## Type Definitions

```typescript
interface WorkspaceMemberView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the user */
  id?: number;
  /** The name of the user */
  name?: string;
  /** The avatar URL of the user */
  avatar_url?: string;
  /** The email address of the user */
  email?: string;
  /** Whether the user has admin privileges */
  admin?: boolean;
  /** Whether the user is workspace owner */
  workspace_owner?: boolean;
  /** Whether user is automatically assigned to new projects */
  auto_assign_to_new_projects?: boolean;
  /** ID of permission set to automatically assign to new projects */
  auto_assign_permission_set_id?: number;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company/members",
  "html_url": "https://app.buddy.works/my-company/-/people",
  "members": [
    {
      "url": "https://api.buddy.works/workspaces/my-company/members/216",
      "html_url": "https://app.buddy.works/my-company/-/profile/216",
      "id": 2,
      "name": "Leon",
      "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/0216e0eaead35ceec361a9eb6fc165ab/w/32/32/AVATAR.png",
      "email": "leon@example.com",
      "admin": false,
      "workspace_owner": false,
      "auto_assign_permission_set_id": 2
    },
    {
      "url": "https://api.buddy.works/workspaces/my-company/members/1",
      "html_url": "https://app.buddy.works/my-company/-/profile/1",
      "id": 1,
      "name": "John Doe",
      "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png",
      "email": "john@example.com",
      "admin": true,
      "workspace_owner": true,
      "auto_assign_permission_set_id": 1
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/platform/members/list/workspace-members